package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_transfer_accounts
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsTransferAccounts implements Serializable {
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户简称
     */
    private String merAbbreviate;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 平台订单号
     */
    private String platformOrderNo;

    /**
     * 接收方平台
     */
    private Integer receiverPlatformType;

    /**
     * 接收方平台商户号
     */
    private String receiverPlatformNo;

    /**
     * 转账金额
     */
    private BigDecimal amount;

    /**
     * 交易手续费
     */
    private BigDecimal shdFeeAmt;

    /**
     * 结算日期
     */
    private Date settleDate;

    /**
     * 备注
     */
    private String content;

    /**
     * 状态 0：不可用   1：处理中  2：成功   3：失败   4：异常
     */
    private Integer status;

    /**
     * 转账时间
     */
    private Date transferTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建方式  1：系统自动   2：API
     */
    private Integer createType;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 活动金转账周期编号
     */
    private Long rebateTransferCycleIdentifier;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getMerAbbreviate() {
        return merAbbreviate;
    }

    public void setMerAbbreviate(String merAbbreviate) {
        this.merAbbreviate = merAbbreviate;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPlatformOrderNo() {
        return platformOrderNo;
    }

    public void setPlatformOrderNo(String platformOrderNo) {
        this.platformOrderNo = platformOrderNo;
    }

    public Integer getReceiverPlatformType() {
        return receiverPlatformType;
    }

    public void setReceiverPlatformType(Integer receiverPlatformType) {
        this.receiverPlatformType = receiverPlatformType;
    }

    public String getReceiverPlatformNo() {
        return receiverPlatformNo;
    }

    public void setReceiverPlatformNo(String receiverPlatformNo) {
        this.receiverPlatformNo = receiverPlatformNo;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getShdFeeAmt() {
        return shdFeeAmt;
    }

    public void setShdFeeAmt(BigDecimal shdFeeAmt) {
        this.shdFeeAmt = shdFeeAmt;
    }

    public Date getSettleDate() {
        return settleDate;
    }

    public void setSettleDate(Date settleDate) {
        this.settleDate = settleDate;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getTransferTime() {
        return transferTime;
    }

    public void setTransferTime(Date transferTime) {
        this.transferTime = transferTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getRebateTransferCycleIdentifier() {
        return rebateTransferCycleIdentifier;
    }

    public void setRebateTransferCycleIdentifier(Long rebateTransferCycleIdentifier) {
        this.rebateTransferCycleIdentifier = rebateTransferCycleIdentifier;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsTransferAccounts other = (BsTransferAccounts) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getMerAbbreviate() == null ? other.getMerAbbreviate() == null : this.getMerAbbreviate().equals(other.getMerAbbreviate()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getPlatformOrderNo() == null ? other.getPlatformOrderNo() == null : this.getPlatformOrderNo().equals(other.getPlatformOrderNo()))
            && (this.getReceiverPlatformType() == null ? other.getReceiverPlatformType() == null : this.getReceiverPlatformType().equals(other.getReceiverPlatformType()))
            && (this.getReceiverPlatformNo() == null ? other.getReceiverPlatformNo() == null : this.getReceiverPlatformNo().equals(other.getReceiverPlatformNo()))
            && (this.getAmount() == null ? other.getAmount() == null : this.getAmount().equals(other.getAmount()))
            && (this.getShdFeeAmt() == null ? other.getShdFeeAmt() == null : this.getShdFeeAmt().equals(other.getShdFeeAmt()))
            && (this.getSettleDate() == null ? other.getSettleDate() == null : this.getSettleDate().equals(other.getSettleDate()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getTransferTime() == null ? other.getTransferTime() == null : this.getTransferTime().equals(other.getTransferTime()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateType() == null ? other.getCreateType() == null : this.getCreateType().equals(other.getCreateType()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getRebateTransferCycleIdentifier() == null ? other.getRebateTransferCycleIdentifier() == null : this.getRebateTransferCycleIdentifier().equals(other.getRebateTransferCycleIdentifier()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getMerAbbreviate() == null) ? 0 : getMerAbbreviate().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getPlatformOrderNo() == null) ? 0 : getPlatformOrderNo().hashCode());
        result = prime * result + ((getReceiverPlatformType() == null) ? 0 : getReceiverPlatformType().hashCode());
        result = prime * result + ((getReceiverPlatformNo() == null) ? 0 : getReceiverPlatformNo().hashCode());
        result = prime * result + ((getAmount() == null) ? 0 : getAmount().hashCode());
        result = prime * result + ((getShdFeeAmt() == null) ? 0 : getShdFeeAmt().hashCode());
        result = prime * result + ((getSettleDate() == null) ? 0 : getSettleDate().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getTransferTime() == null) ? 0 : getTransferTime().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateType() == null) ? 0 : getCreateType().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getRebateTransferCycleIdentifier() == null) ? 0 : getRebateTransferCycleIdentifier().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", merName=").append(merName);
        sb.append(", merAbbreviate=").append(merAbbreviate);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", platformOrderNo=").append(platformOrderNo);
        sb.append(", receiverPlatformType=").append(receiverPlatformType);
        sb.append(", receiverPlatformNo=").append(receiverPlatformNo);
        sb.append(", amount=").append(amount);
        sb.append(", shdFeeAmt=").append(shdFeeAmt);
        sb.append(", settleDate=").append(settleDate);
        sb.append(", content=").append(content);
        sb.append(", status=").append(status);
        sb.append(", transferTime=").append(transferTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", createType=").append(createType);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", rebateTransferCycleIdentifier=").append(rebateTransferCycleIdentifier);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}